Open deposit account

Create or locate a transaction banking account and attach a validated deposit product in a single request. On success, the endpoint generates a Deposit account opened event.

This endpoint supports two scenarios:

  • Existing account: Provide both account.account_id and account.external_account_id. The Pismo platform locates the account via the transaction banking API and validates the IDs. If there is a mismatch, the request fails with a 400 error.

  • New account: Provide account.external_account_id and the account_creation object. The Pismo platform creates a new transaction banking account and attaches the deposit product. If the transaction banking API returns 409 because the account already exists, the Pismo platform locates the existing account and proceeds with product attachment.

Note: The deposit product must exist, be of type deposit, and have an ACTIVE status.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Creates or locates a deposit account and attaches a deposit product in a single request.

account
object
required

Identifies the account to which the deposit product is attached

deposit_attachment
object
required

Deposit product attachment configuration

account_creation
object

Account creation parameters. Required when account.account_id is not provided. Pismo platform uses these fields to create a new transaction banking account via the transaction banking API.

metadata
object

The metadata object contains user-defined key-value pairs that provide additional context or custom information.
Metadata content is not controlled by the Pismo platform and is instead controlled by the user.

Note: This field must not be used to send Personally Identifiable Information (PII), Payment Card Industry (PCI) data, or any sensitive/regulated information. Metadata fields are intended for operational, non-sensitive data only. For sensitive data, use the specific parameters designed for that purpose. For more information, refer to Get started with Pismo APIs.

Headers
string
required

Account token. Token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a 401 Unauthorized error.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json